Last Comment Bug 322928 - code error in nsFontMetricsPango.cpp
: code error in nsFontMetricsPango.cpp
Status: RESOLVED FIXED
[nvn-dl]
: fixed1.8.0.2, fixed1.8.1
Product: Core Graveyard
Classification: Graveyard
Component: GFX: Gtk (show other bugs)
: 1.8 Branch
: x86 Linux
: -- normal (vote)
: ---
Assigned To: Robert O'Callahan (:roc) (Exited; email my personal email if necessary)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-10 07:44 PST by Frederic Crozat
Modified: 2009-01-22 10:17 PST (History)
1 user (show)
dveditz: blocking1.8.0.2+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
trivial fix (391 bytes, patch)
2006-01-10 07:45 PST, Frederic Crozat
roc: review+
roc: superreview+
dveditz: approval‑branch‑1.8.1+
dveditz: approval1.8.0.2+
Details | Diff | Splinter Review

Description Frederic Crozat 2006-01-10 07:44:29 PST
gcc detected a code error in nsFontMetricsPango.cpp (line 984) :

if (!found) {
  if (inx = 0) <<<<================ here
       retval = 0;
  else if (trailing)
          retval = aLength;

  goto loser;
}

It seems obvious test was replaced by assignment by mistake.

patch to fix this attached.

assigning to roc, after discussing with blizzard on irc
Comment 1 Frederic Crozat 2006-01-10 07:45:36 PST
Created attachment 208087 [details] [diff] [review]
trivial fix
Comment 2 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2006-01-10 13:02:26 PST
checked in. Thanks!
Comment 3 Christopher Aillon (sabbatical, not receiving bugmail) 2006-02-20 11:18:34 PST
Comment on attachment 208087 [details] [diff] [review]
trivial fix

This was reported against a branch, and would be nice to have fixed on the branch.
Comment 4 Daniel Veditz [:dveditz] 2006-02-22 12:28:14 PST
Comment on attachment 208087 [details] [diff] [review]
trivial fix

approved for 1.8.0 branch, a=dveditz for drivers
Comment 5 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2006-02-22 18:46:00 PST
checked in on branches
Comment 6 Dave Liebreich [:davel] 2006-03-01 16:21:28 PST
marking [nvn-dl], which removes this bug from the "to be verified by QA" list
for Firefox 1.5.0.2.

Note You need to log in before you can comment on or make changes to this bug.